PHP HTML JavaScript Other
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
admin
cache
classes
data
designs/1
feeds
images
install
language
modules
temp/errordata
templates
uploads
.gitignore
.htaccess
LICENSE
README.md
addreply.php
admin.php
ajax.php
attachments.php
components.php
cron.php
docs.php
edit.php
editprofile.php
external.php
favicon.ico
forum.php
images.php
index.php
log.php
manageforum.php
managemembers.php
managetopic.php
members.php
misc.php
newtopic.php
pm.php
popup.php
portal.php
print.php
profile.php
register.php
search.php
showforum.php
showtopic.php

README.md

Readme for Viscacha 0.8.1.3

Installation

  1. Download the installation package from the Viscacha homepage!
  2. Upload all files per ftp onto your server.
  3. Call the "install/" directory in the Viscacha-root-directory and follow the steps.
  4. You have a "fresh" Viscacha-Installation on your server.

Note: More information on how to set up the CHMODs you can get while installing the application. In the Admin CP you can also see a more detailed list of the required CHMODs.

Update

  1. Make a complete backup of your data (FTP + MySQL)!
  2. Download the update package from the Viscacha homepage!
  3. Upload the install/ directory
  4. Execute the update script (Call the "install/" directory).
  5. Follow all the steps while the update script is running.
  6. After the update is ready and you are back in your Admin Control Panel, please check for updates of your installed packages!

Note: You can only upgrade from Viscacha 0.8.1.2. To update from a prior version you have to update to Viscacha 0.8.1.2 first.

System requirements

Minimum system requirements:

  • PHP Version: 5.6 and above
  • PHP-Extensions: mysql or mysqli, pcre, gd, zlib
  • MySQL Version: 4.0 and above

Recommended system requirements:

  • PHP Version: 5.6 and above
  • PHP-Extensions: mysql or mysqli, pcre, gd, zlib, xml, mime_magic, mbstring, sockets, xdiff, ftp
  • MySQL Version: 5.0 and above (Strict mode off)

If you are testing Viscacha, please give me some feedback how Viscacha worked, which errors occurred and which server configuration was used.

Following information are useful for us:

  • Operating system (of the server)
  • Server software and version
  • E-mail-server (SMTP, Sendmail, PHP's mail() function)
  • MySQL version (strict mode enabled?)
  • PHP version and configuration (e.q. through phpinfo() page)

Contact

Please contact us only through our support forums on http://www.viscacha.org!

Bugtracker and ToDo List: http://bugs.viscacha.org